| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Business Group Authorization Code

Business Group Authorization Code Definitions and Methods. More...

## Classes
struct | unsp__AuthCodeEntry
| Authorization Code Entry. More...
struct | unsp__AuthCodeList
| Authorization Code List. More...
struct | unsp__AuthCodeRequest
| Authorization Code request. More...
struct | unsp__AuthCodeResultEntry
| Authorization Code Result Entry. More...
struct | unsp__AuthCodeResultList
| Authorization Code Result List. More...
struct | unsp__AuthCodeResult
| Authorization Code result. More...
struct | unsp__ModifyAuthCodeRequest
| Modify Authorization Code request. More...
struct | unsp__ModifyAuthCodeResult
| Modify Authorization Code result. More...
struct | unsp__GetAuthCodeListRequest
| Get Authorization Code List request. More...
struct | unsp__GetAuthCodeListResult
| Get Authorization Code List result. More...
struct | unsp__GetAuthCodeRequest
| Get Authorization Code request. More...
struct | unsp__GetAuthCodeResult
| Get Authorization Code result. More...

## Enumerations
enum | unsp__AuthCodeType { AuthCodeNone, AuthCodeBusiness, AuthCodePrivate }
| Authorization Code Type. More...
enum | unsp__FilterAuthCodeType { FilterAuthCodeNone, FilterAuthCodeBusiness, FilterAuthCodePrivate, FilterAuthCodeUndefined }
| Authorization Code Filter Type. More...
enum | unsp__SortAuthCodeType { AuthCodeSortType_None, AuthCodeSortType_Code, AuthCodeSortType_Subscriber, AuthCodeSortType_Type }
| Authorization Code Sort Type. More...

## Functions
int | unsp__CreateAuthCode (struct unsp__AuthCodeRequest CreateAuthCodeReq, struct unsp__AuthCodeResult *AuthCodeResult)
| Creates a BG Authorization Code. More...
int | unsp__ModifyAuthCode (struct unsp__ModifyAuthCodeRequest ModifyAuthCodeRequest, struct unsp__ModifyAuthCodeResult *ModifyAuthCodeResult)
| Modifies a BG Authorization Code. More...
int | unsp__DeleteAuthCode (struct unsp__AuthCodeRequest DeleteAuthCodeReq, struct unsp__AuthCodeResult *AuthCodeResult)
| Deletes a BG Authorization Code. More...
int | unsp__GetAuthCodeList (struct unsp__GetAuthCodeListRequest GetAuthCodeListReq, struct unsp__GetAuthCodeListResult *GetAuthCodeListResult)
| Retrieves the list of Authorization Codes under a Business Group. More...
int | unsp__GetAuthCode (struct unsp__GetAuthCodeRequest GetAuthCodeReq, struct unsp__GetAuthCodeResult *GetAuthCodeResult)
| This method retrieves an authorization code. More...

## Detailed Description

Business Group Authorization Code Definitions and Methods.

The BG (Business Group) Authorization Code feature provides the capability to control a subscriber's access to certain (off-net) traffic types. When attempting to set up a call of a restricted traffic type, the subscriber has to enter (dial) a valid authorization code.

Restricted traffic types are declared in so-called Classes of Restriction that are used in the Toll and Call Restrictions feature, the Call Forwarding Restrictions feature, the Account Code feature and the BG Authorization Code feature.

The procedure to set up a Class of Restriction can be roughly described in the following way:

- Define custom Traffic Types, if necessary
- Assign Traffic Types to new and existing Destination Codes and Code Indexes
- Create the required Classes of Restriction, comprising those traffic types that shall be restricted in any of the related features

The administrator defines the valid Authorization Codes, assigns the Feature to certain subscribers and (optionally) creates a Prefix Access Code for the Authorization Code vertical service in the appropriate numbering plans, to allow the subscribers to pre-dial the authorization code. The subscriber can pre-dial the authorization code, or can post-dial it when prompted to do so. To set up a call of a traffic type that is not toll-restricted but requires an authorization code, the subscriber proceeds as follows: dials the Public Network Access Code. If an Account Code is also required, the subscriber enters the Account Code first, then presses the # key. At that point, the subscriber does one of the following:

- Pre-dialing: After entering the Associated Authorization Access Code, the system prompts the subscriber to enter the authorization code. After the Authorization Code is accepted, the system provides another prompt to enter the called number.
- Post-dialing: The subscriber dials the called number; the system then prompts the subscriber to enter the Authorization Code.

Regardless of the sequence in which the digits are entered, the following takes place after the system attempts to validate the Authorization Code:

- If it is valid, the call completes normally.
- If it is invalid, the system prompts the subscriber to re-enter the Authorization Code. If the second entry is also invalid, the call is given intercept treatment; the caller may instead hear reorder tone.

An Authorization Code can be from 2 to 14 digits long. Up to 100,000 Authorization Codes are supported, with a maximum of 50,000 per BG.

If Message Detail Recording is active for the related BG, information about Authorization Code utilization is included in the Billing Files.

OpenScape Voice support of Private / Business call is achieved by using the BG authorization code feature. When configuring an authorization code it is possible to optionally assign a subscriber number and set the type to 'Private' or 'Business'. That user is then able to lift all restrictions and make a 'private' or 'business' call from any device that has the 'BG authorization code' feature assigned by using their 'private' or 'business' authorization code.A 'private' call is a 'personal' call in contrast to a 'business' call. In both cases the subscriber number to whom the authorization code belongs is written in the 'paying party' field of the CDR and a flag 'private call' or 'business call' respectively is set in the 'Per call feature extension' field in the CDR. The customer -if desired- may assign the costs of a 'private' call personally to the user making the call.It is also possible to set the type for an authorization code but not assign it to any specific subscriber. In this case only the 'private'/'business' call flag is set in the CDR but not the paying party. This configuration can serve as a general PIN for making e.g. private calls. In this case the call shall be charged to the device where the call was made and not to the user who made the call.

## Enumeration Type Documentation

## ◆ unsp__AuthCodeType

enum unsp__AuthCodeType

Authorization Code Type.

Enumerator
AuthCodeNone | None.
AuthCodeBusiness | Business Calls.
AuthCodePrivate | Private Calls.

## ◆ unsp__FilterAuthCodeType

enum unsp__FilterAuthCodeType

Authorization Code Filter Type.

Enumerator
FilterAuthCodeNone | None.
FilterAuthCodeBusiness | Business.
FilterAuthCodePrivate | Private.
FilterAuthCodeUndefined | Undefined - All.

## ◆ unsp__SortAuthCodeType

enum unsp__SortAuthCodeType

Authorization Code Sort Type.

Enumerator
AuthCodeSortType_None | None.
AuthCodeSortType_Code | Sort By Authorization Code Digits.
AuthCodeSortType_Subscriber | Sort By the associated Subscriber ID.
AuthCodeSortType_Type | Sort By Authorization Code Type.

## Function Documentation

## ◆ unsp__CreateAuthCode()

int unsp__CreateAuthCode | ( | struct unsp__AuthCodeRequest | CreateAuthCodeReq,
|  | struct unsp__AuthCodeResult * | AuthCodeResult
| ) |  |

Creates a BG Authorization Code.

Parameters

  CreateAuthCodeReq | API request
  AuthCodeResult | API result MP2 command: AUTHCODECREATE [Attributes]

## ◆ unsp__DeleteAuthCode()

unsp__DeleteAuthCode | ( | struct unsp__AuthCodeRequest | DeleteAuthCodeReq,
|  | struct unsp__AuthCodeResult * | AuthCodeResult
| ) |  |

Deletes a BG Authorization Code.

Parameters

  DeleteAuthCodeReq | API request
  AuthCodeResult | API result MP2 command: AUTHCODEDEL [Attributes]

## ◆ unsp__GetAuthCode()

unsp__GetAuthCode | ( | struct unsp__GetAuthCodeRequest | GetAuthCodeReq,
|  | struct unsp__GetAuthCodeResult * | GetAuthCodeResult
| ) |  |

This method retrieves an authorization code.

Parameters

  GetAuthCodeReq | API request
  GetAuthCodeResult | API result

## ◆ unsp__GetAuthCodeList()

unsp__GetAuthCodeList | ( | struct unsp__GetAuthCodeListRequest | GetAuthCodeListReq,
|  | struct unsp__GetAuthCodeListResult * | GetAuthCodeListResult
| ) |  |

Retrieves the list of Authorization Codes under a Business Group.

Parameters

  GetAuthCodeListReq | API request
  GetAuthCodeListResult | API result

## ◆ unsp__ModifyAuthCode()

unsp__ModifyAuthCode | ( | struct unsp__ModifyAuthCodeRequest | ModifyAuthCodeRequest,
|  | struct unsp__ModifyAuthCodeResult * | ModifyAuthCodeResult
| ) |  |

Modifies a BG Authorization Code.

Parameters

  ModifyAuthCodeRequest | API request
  ModifyAuthCodeResult | API result